public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/android:master commit in: sys-libs/bionic/
Date: Sun, 12 Aug 2018 08:26:32 +0000 (UTC)	[thread overview]
Message-ID: <1534062831.3e9f78fc12b8a5a6c75acd45d2eca8c78b7ca638.heroxbd@gentoo> (raw)

commit:     3e9f78fc12b8a5a6c75acd45d2eca8c78b7ca638
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 12 08:33:51 2018 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Aug 12 08:33:51 2018 +0000
URL:        https://gitweb.gentoo.org/proj/android.git/commit/?id=3e9f78fc

sys-libs/bionic: remove NDK.

  NDK: https://developer.android.com/ndk/guides/concepts
  We don't need it because we will be building natively.

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 sys-libs/bionic/Manifest                | 2 +-
 sys-libs/bionic/bionic-8.1.0_p41.ebuild | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/sys-libs/bionic/Manifest b/sys-libs/bionic/Manifest
index b9566f1..e2f13be 100644
--- a/sys-libs/bionic/Manifest
+++ b/sys-libs/bionic/Manifest
@@ -10,5 +10,5 @@ DIST libunwind_llvm-8.1.0_p41.tar.gz 90999 BLAKE2B 3ebd73a228513548ee9f6f84ab221
 DIST lzma-8.1.0_p41.tar.gz 733693 BLAKE2B 733b0995778adce01af50b9f22276ec4a54d3c73ff7b9709a6b3c0327dd89c0a785cb991dbd3343e4e7b9c5eb9009afaea3d78db993a48e1dcbaa9807fdaf7ff SHA512 4cebceabb9096c19ccf3ab25ef27d4ce6f1655e431c6381f888345613f310509864135bc0ee7fd78dc5f1170521effea2113f149e71cca56a07254566755c0c5
 DIST safe-iop-8.1.0_p41.tar.gz 10800 BLAKE2B 02959e9a0f02259362bfbe840eae50bdfa429b09de8f56f8beec2f99697eabb4a0a71a175a79a52f943facded257a68bff383a53acbe61249b76fe2ff95911e1 SHA512 8b717408601194b76a6a44fec5bd62ff2121b89f5f8fea7b3eee7ca46c122e346f8d73d92f5b34575318b1015e74186affda1e1aca7b53ac9c3c303d4e8e7710
 DIST zlib-8.1.0_p41.tar.gz 607311 BLAKE2B b175cf9d4548df24cfd587abea62ee4c3dcee56f6a68b4044c4b1419be148ab4542c42cb19ce0d773b247ceaf3193afca385170674c9d6d2f92a4df8f6d346ba SHA512 0d587729c1210ee6efa6bb7cdac723da71a9c56252be67f6973e80c3597dbb7f2c96ea093078e580d97709de5e8d8fabf92aae0594f382b95e2d9559e43953d2
-EBUILD bionic-8.1.0_p41.ebuild 2205 BLAKE2B 4049a6150c4e752426129863475f7bef0cfc110a85cfd07263410e4b12027caec273028dfba26b59a8d0db3d71270e388bc81e252ae6dbafb1b8daeae1001999 SHA512 ef7f2d7e6f8d9072377fccae592c7475b363141abf17c0f199c443cec38b3da04138e415286937f0d30a76bc27732bc80eee7f2da664a21ec13a15466b9ec94a
+EBUILD bionic-8.1.0_p41.ebuild 2415 BLAKE2B 4ff68ae05a15ddfa14fc06b22c6c9aa5b7be09dbf3435f754f5b7b4943b0c417d65f7f777bd630cb1872196d93fd9937178ea0fb85adaa374490e008701192fd SHA512 c9336c0d158d9971a55bccbb5960b9c95e0176a1743da4a0e5a6f5c96a64c08c2d1b36bdc9bce8884b16f6f4714cc06ac2c7f4b6a42229706590ff7a03bf4750
 MISC metadata.xml 242 BLAKE2B 08b4880748ab6d685ce28f65a9f6cc5ad62deff8f85d4e0a55a3dc12aa8bd63cf1de56b28ff89929e054a6831e223d6ef0207e8b19c6887f09ee22621bd76928 SHA512 ae57aaeecc094cffa640d88329a0baa6c2b0703330d84f6406f3f68d8bb9b724d2e19a8478be8708de284db9ac452f95f225a9f79cd1c5d0236aa2f9935b9b21

diff --git a/sys-libs/bionic/bionic-8.1.0_p41.ebuild b/sys-libs/bionic/bionic-8.1.0_p41.ebuild
index 506bb8b..fadea15 100644
--- a/sys-libs/bionic/bionic-8.1.0_p41.ebuild
+++ b/sys-libs/bionic/bionic-8.1.0_p41.ebuild
@@ -43,6 +43,10 @@ cc_defaults {
 EOF
 	ln -s "${EPREFIX}"/usr/share/soong build || die
 
+	# Remove ndk libraries. But keep ndk headers, because they are the
+	# headers of the GNU/Linux sense.
+	sed -e '/ndk_library/,/subdir/{/subdir/p;d}' -i bionic/libc/Android.bp || die
+
 	local core_keep=( base liblog debuggerd libziparchive libbacktrace libcutils demangle \
 						   Android.bp include libutils libsystem libvndksupport )
 	mv system/core{,_delete} || die
@@ -54,6 +58,7 @@ EOF
 
 	find "${WORKDIR}" -name Android.bp -exec sed -e '/cc_test.*{/,$d' \
 		 -e "/\ssdk_version/d" \
+		 -e '/ndk_library/,$d' \
 		 -i {} \; || die
 	sed -e '/ANDROIDMK TRANSLATION ERROR/,$d' -i external/compiler-rt/lib/asan/Android.bp || die
 	sed -e '/llvm-headers/d' -i system/core/libbacktrace/Android.bp || die


             reply	other threads:[~2018-08-12  8:26 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-12  8:26 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-08-14  6:12 [gentoo-commits] proj/android:master commit in: sys-libs/bionic/ Benda XU
2018-08-14  5:56 Pengcheng Xu
2018-08-14  5:56 Pengcheng Xu
2018-08-14  4:34 Benda XU
2018-08-11  8:00 Benda XU
2018-08-10  3:24 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1534062831.3e9f78fc12b8a5a6c75acd45d2eca8c78b7ca638.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox